import React from 'react';
import './index.css';
export interface SegmentControlProps {
    /**the segments of the segmented control */
    segments: Array<{
        /**label of the current segment, displayed in the component */
        label: string;
        /**disabled (optional) property of the segment, set to true to disable the segment */
        disabled?: boolean;
        /**the actual value of the segment, must be unique */
        value: string;
        /**set default (optional) property to true in order to set the current segment as the default selected segment */
        default?: boolean;
    }>;
    /**onChangeSegment is a callback, dispatched when the selected segment changes. will return the value of the new segment*/
    onChangeSegment: (segmentValue: string) => void;
}
/**if no default property is set, the default selected segment is automatically the first encountered  */
export declare const SegmentedControl: React.VFC<SegmentControlProps>;
